import type { TenantConfig } from '../models/TenantConfig';
import type { RecordTags, TagsBase } from '@credo-ts/core';
import { BaseRecord } from '@credo-ts/core';
export type TenantRecordTags = RecordTags<TenantRecord>;
export interface TenantRecordProps {
    id?: string;
    createdAt?: Date;
    config: TenantConfig;
    tags?: TagsBase;
}
export type DefaultTenantRecordTags = {
    label: string;
};
export declare class TenantRecord extends BaseRecord<DefaultTenantRecordTags> {
    static readonly type = "TenantRecord";
    readonly type = "TenantRecord";
    config: TenantConfig;
    constructor(props: TenantRecordProps);
    getTags(): {
        label: string;
    };
}
